Name:             usbmuxd
Version:          1.1.1
Release:          2
Summary:          Daemon for communicating with Apple's iOS devices
License:          GPLv3+ or GPLv2+
URL:              http://www.libimobiledevice.org/
Source0:          https://github.com/libimobiledevice/usbmuxd/releases/download/%{version}/usbmuxd-%{version}.tar.bz2

Patch1:           0001-Fix-typo-in-NEWS-for-last-release-notes.patch 
BuildRequires:    gcc libimobiledevice-devel libplist-devel libusbx-devel systemd autoconf libtool automake
Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
usbmuxd is a socket daemon to multiplex connections from and to iOS devices.It allows multiple
services on the device to be accessed simultaneously.

%package help
Summary:          Help package for %{name}

%description help
This package contains some man help files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
autoreconf -f -i
sed -i 's/OWNER="usbmux"/OWNER="usbmuxd"/' udev/39-usbmuxd.rules.in
sed -i 's/--user usbmux/--user usbmuxd/' systemd/usbmuxd.service.in

%build
%configure
%make_build

%install
%make_install

%pre
getent group usbmuxd >/dev/null || groupadd -r usbmuxd -g 113
getent passwd usbmuxd >/dev/null || useradd -r -g usbmuxd -d / -s /sbin/nologin -c "usbmuxd user" -u 113 usbmuxd
exit 0

%post
%systemd_post usbmuxd.service

%preun
%systemd_preun usbmuxd.service

%postun
%systemd_postun_with_restart usbmuxd.service

%files
%doc AUTHORS README.md COPYING.GPLv2 COPYING.GPLv3
%{_unitdir}/usbmuxd.service
%{_udevrulesdir}/39-usbmuxd.rules
%{_sbindir}/usbmuxd

%files help
%{_datadir}/man/man8/usbmuxd.8.gz

%changelog
* Fri Jan 6 2023 lingsheng <lingsheng@huawei.com> - 1.1.1-2
-  Fix typo in NEWS for last release notes

* Tue Aug 11 2020 lingsheng <lingsheng@huawei.com> - 1.1.1-1
- Update to 1.1.1

* Fri Nov 29 2019 lingsheng <lingsheng@huawei.com> - 1.1.0-16
- Package init
